/*

-----------------------------------------------
GTASC - GTA adaptation for TI Calculators
-----------------------------------------------

Programmed by : Olivier SANGALA
Version : 1.2
License : Free under GNU General Public License ( see "gpl.txt" )
Release Date : 05/01/2007
Platform : TI89/TI92+/V200
Website : http://olivier.sangala.free.fr
Email : olivier_sangala@hotmail.com

----------
License
----------

    Copyright (C) 2002-2007 Olivier SANGALA

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
*/
//-----------------------------------------------------------------------------

//--------------------------------------------------------------------------
// TMDE FUNCTIONS
//--------------------------------------------------------------------------

// Palettes

enum {PAL_0123,PAL_0333,PAL_3000};

//--------------------------------------------------------------------------

/*
typedef struct
{
	int x;
	int y;
}
TPoint;
*/

typedef struct
{
	TPoint ScreenPos;
	TPoint Position;
	int type;
}
TCamera;

//--------------------------------------------------------------------------

void TMDE_Enable(void);
void TMDE_Disable(void);

int CANDRAWSPRITE16(int left,int top);

void DrawScreen(void);

void PlaceCamera(void); // TO BE IMPLEMENTED
void DrawBG(void);
void DrawSprites(void); // TO BE IMPLEMENTED
void DrawWindows(void); // TO BE IMPLEMENTED

void DrawTile8(int x,int y,unsigned char* sprite1);
void DrawTile16(int x,int y,unsigned short* sprite1);
void DrawSprite8(int x, int y, unsigned char * sprite1);
void DrawSprite16(int x, int y, unsigned short * sprite1);

void DrawWinTile8(int x, int y, unsigned char* sprite1);
void DrawWinTile16(int x, int y, unsigned short* sprite1);

//--------------------------------------------------------------------------
